/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core.io;

import java.io.IOException;
import java.io.OutputStream;

/**
 * An abstraction for writing binary data.
 *
 * @see    Source
 * @author Christian Schlichtherle
 */
public interface Sink {

    /**
     * Returns a new output stream for writing the binary data to this sink.
     * The caller is responsible for closing the returned stream.
     */
    OutputStream output() throws IOException;
}
