/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core.util;

import java.util.Date;

/**
 * Provides the current system date/time.
 *
 * @author Christian Schlichtherle
 */
public class SystemClock implements Clock {

    /** The singleton instance of this class. */
    public static final Clock SINGLETON = new SystemClock();

    private SystemClock() { }

    /**
     * {@inheritDoc}
     * <p>
     * The implementation in the class {@link SystemClock}
     * returns a new {@link Date}.
     */
    @Override public Date now() { return new Date(); }
}
